<?php
	$hoy = date("Y-m-d H:i:s");

	$limit = 300;
	$posicion = $_GET["pos"];

	
	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["titulo"] != ""){
		
		if($_POST["id_banner"] != ""){
			mysqli_query($connect,"UPDATE Banners SET titulo = '".$_POST["titulo"]."', link = '".$_POST["link"]."', estado = '".$_POST["estado"]."' 
			WHERE id = '".$_POST["id_banner"]."'  ");
			
			include("controllers/subir_documento.php");
			if($_FILES['image'] != ""){
				$archivo = Subir_Documento($_FILES['image']);
				mysqli_query($connect,"UPDATE Banners SET image = '".$archivo."' WHERE id = '".$_POST["id_banner"]."' ");
			}
			
			$respuesta = '
				<div class="alert alert-success" role="alert" style="margin-top:8px">
				  Información Actualizada.
				</div>
			';
		}
		else{
			
			mysqli_query($connect,"INSERT INTO Banners (titulo, imagen, link, estado, created_at) 
			VALUES 
			('".$_POST['titulo']."', '', '".$_POST["link"]."', '".$_POST["estado"]."', '".$hoy."' ) ");
			$id_reg = mysqli_insert_id($connect);		
				
			include("controllers/subir_documento.php");
			if($_FILES['image'] != ""){
				$archivo = Subir_Documento($_FILES['image']);
				mysqli_query($connect,"UPDATE Banners SET image = '".$archivo."' WHERE id = '".$id_reg."' ");
			}
			
			$respuesta = '
				<div class="alert alert-success" role="alert" style="margin-top:8px">
					 Información Guardada.
				</div>
			';
		}
		
	}
?>
<?php include("views/layouts/ficha_cliente.php"); ?> 
<?php echo $respuesta; ?>



<div align="left" style="padding: 10px 0px;">
	<table width="100%">
    	<tr>
        	<td><h5 style="margin-top: 8px;"><i class="fas fa-users"></i> Números Registrados</h5></td>
            <td align="right" width="200">
            	<input class="form-control" type="text" placeholder="Búsqueda rápida..." id="buscador" />
            </td>
        </tr>
    </table>
</div>


			<?php
			if($posicion == ""){
				$posicion = 1;
			}

			$inicia = ($posicion-1)*$limit;
			if($posicion == 1){$inicia = $posicion;}

			$queryEstadisticas = mysqli_query($connect_claro,"SELECT * FROM app_user ");
			$can_pag = ceil($queryEstadisticas->num_rows / $limit );

			$anterior = $_GET["pos"]-1;
			if($_GET["pos"] == 1){ $anterior = $_GET["pos"]; }

			$siguiente = $_GET["pos"]+1;
			if($siguiente > $can_pag ){ $siguiente = $_GET["pos"]; }
			?>
			
			<!-- PAGINACION -->
			<div style="overflow: auto; margin-bottom: 19px;">
			<nav aria-label="Page navigation example" style="font-size: 14px;">
			  <ul class="pagination">
				<li class="page-item"><a class="page-link" href="?pg=numeros&pos=<?php echo $anterior; ?>">Anterior</a></li>
				<?php
					for ($i = 1; $i <= $can_pag; $i++) {
						if ($i == $posicion) {
							echo '<li class="page-item active"><a class="page-link" href="">'.$i.'</a></li>';
						}
						else{
							echo '<li class="page-item"><a class="page-link" href="?pg=numeros&pos='.$i.$filtro_pag.'">'.$i.'</a></li>';
						}
					}
				?>
				<li class="page-item"><a class="page-link" href="?pg=numeros&pos=<?php echo $siguiente; ?>">Siguiente</a></li>
			  </ul>
			</nav>
			</div>



<table class="table table-bordered">
	<thead class="thead-dark">
	<tr>
		<th scope="col">#</th>
		<th scope="col">Creado el:</th>
		<th scope="col">Usuario</th>
		<th scope="col">Celular</th>
		<th scope="col">Puntos</th>
		<th scope="col">Constest id</th>
		<th scope="col">Aceptado</th>
        <th scope="col">Finish Contest</th>
	</tr>
	</thead>
    
	<tbody id="tabla_lista">
	<?php
		$count = 1;
		if($inicia > 1){ $count = ($posicion-1)*$limit; }
		$query = mysqli_query($connect_claro,"SELECT * FROM app_user ORDER BY id DESC LIMIT  ".($inicia-1)." , ".$limit);
		while($data = mysqli_fetch_array($query)){
			
			$usuario = 'Anónimo';
			$queryCliente = mysqli_query($connect,"SELECT * FROM Clientes ");
			while($dataCliente = mysqli_fetch_array($queryCliente)){
				if($data["phone"] == "57".$dataCliente["celular"] ){ $usuario = $dataCliente["nombre"].' '.$dataCliente["apellidos"]; }
			}
			

			echo '
			<tr>
				<th scope="row">'.$count.'</th>
				<td>'.$data["creation_date"].'</td>
				<td>'.$usuario.'</td>
				<td>'.$data["phone"].'</td>
				<td>'.$data["total_points"].'</td>
				<td>'.$data["contest_id"].'</td>
				<td>'.$data["accept"].'</td>
				<td>'.$data["finish_contest"].'</td>
			</tr>
			';
			$count++;
					
		}
	?>
	</tbody>
</table>

<script>

$(document).ready(function(){
	$("#buscador").on("keyup", function() {
		var value = $(this).val().toLowerCase();
		$("#tabla_lista tr").filter(function() {
		  $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
		});
	});	  
});

var api = 'http://ganadeuna.com/admin/api/';

function Ficha(id){
	jQuery.ajax({
		url: api+"ficha_banner.php",
		type:'post',
		data: {id: id, url:"?pg=candidatos"},
		}).done(function (resp){
			$("#formulario").html(resp);
		})
		.fail(function(resp) {
			console.log(resp);
		})
		.always(function(resp){
		}
	);
}
var activar = false;
function Eliminar_Candidato(id){
	if(activar == false){
		$("#modal_body").html('Estas a punto de eliminar un candidato, esta acción es irreversible ¿Estás seguro?<br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-danger" style="margin-right: 10px;" onclick="activar = true; Eliminar_Candidato('+id+')">Eliminar</button>');
		$("#modal_general").modal('show');
	}
	else{
	
		jQuery.ajax({
			url: api+"eliminar_banner.php",
			type:'post',
			data: {id: id, url:"?pg=candidatos"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
}

var formulario = $("#formulario").html();
function Setear(){
	$("#formulario").html(formulario);
}

function Del_Imagen(elem,tipo){
	$( elem).parent().html('<input type="file" class="form-control" name="image" required>');
}


</script>

<script src="js/functions.js"></script>